import Nettle.Netkit.LabUtil
import Nettle.IPv4.IPAddress

threeSwitchConfig :: LabConfig
threeSwitchConfig = LabConfig { switches             = [sw1, sw2, sw3], 
                                controllerServerPort = 2525, 
                                hosts                = [ (host 1, Interface 0 (ipAddress 11 1 1 5)) @@ sw1 # port 1, 
                                                         (host 2, Interface 0 (ipAddress 11 1 2 5)) @@ sw2 # port 1, 
                                                         (host 3, Interface 0 (ipAddress 11 1 3 5)) @@ sw3 # port 1 ], 
                                links                = [sw1 # port 2 <--> sw2 # port 2, 
                                                        sw1 # port 3 <--> sw3 # port 2,
                                                        sw2 # port 3 <--> sw3 # port 3 ] 
                              }
    where sw1 = switch 1
          sw2 = switch 2
          sw3 = switch 3 






